@salesforce/eslint-plugin-slds-react
ESLint plugin that aligns React UI components with the Salesforce Lightning Design System CSS Framework.
$ cnpm install @salesforce/eslint-plugin-slds-react 
SYNC missed versions from official npm registry.

@salesforce/eslint-plugin-slds-react

This rule aims to better align React UI component libraries that depend on the Salesforce Lightning Design System CSS Framework.

Installation

You'll first need to install ESLint:

$ npm i eslint --save-dev

Next, install @salesforce/eslint-plugin-slds-react:

$ npm install @salesforce/eslint-plugin-slds-react --save-dev

Note: If you installed ESLint globally (using the -g flag) then you must also install @salesforce/eslint-plugin-slds-react globally.

Usage

Add @salesforce/eslint-plugin-slds-react to the plugins section of your .eslintrc configuration file. You can omit the eslint-plugin- prefix:

{
	"plugins": ["@salesforce/eslint-plugin-slds-react"]
}

Then configure the rules you want to use under the rules section.

{
	"rules": {
		"slds-react/rule-no-double-dash-modifier": 2
	}
}

Supported Rules

  • no-double-dash-modifier

Licenses

Current Tags

  • 0.0.1                                ...           latest (2 years ago)

1 Versions

  • 0.0.1                                ...           2 years ago

Copyright 2014 - 2016 © taobao.org |